package com.engine.salary.enums.salaryarchive;

/**
 * @Description: 已离职时段
 * @Author: wangxiangzhong
 * @Date: 2021/12/13 18:56
 */
public enum SalaryArchiveDimissionTimeIntervalEnum {

    HALFMONTH("HALFMONTH", "半个月", 93335),
    ONEMONTH("ONEMONTH", "一个月", 93336),
    TWOMONTH("TWOMONTH", "两个月", 93337),
    THREEMONTH("THREEMONTH", "三个月", 93338),
    FOURMONTH("FOURMONTH", "四个月", 93339),
    FIVEMONTH("FIVEMONTH", "五个月", 93340),
    HALFYEAR("HALFYEAR", "半年", 93341);

    private String value;

    private String defaultLabel;

    private int labelId;

    SalaryArchiveDimissionTimeIntervalEnum(String value, String defaultLabel, int labelId) {
        this.value = value;
        this.defaultLabel = defaultLabel;
        this.labelId = labelId;
    }

    public String getValue() {
        return value;
    }

    public String getDefaultLabel() {
        return defaultLabel;
    }

    public int getLabelId() {
        return labelId;
    }
}
